package cn.net.caoyao.cpzshandset.service.bll;

import java.util.List;
import java.util.Map;

import cn.net.caoyao.cpzshandset.common.config.ConfigDBCreateService;
import cn.net.caoyao.cpzshandset.common.util.CacheGet;
import cn.net.caoyao.cpzshandset.db.presenter.LandDal;
import cn.net.cpzslibs.prot.handset.bean.Prot10065LandBean;
import android.content.Context;

/** 
 * @author  作者 李扬: 
 * @date 创建时间：2017-3-28 上午10:16:29 
 * @version 1.0 
 * @parameter 
 * @since  
 * @return  
 */
public class LandBll {
	LandDal dal ;
	public LandBll(Context context) {
		ConfigDBCreateService service = new ConfigDBCreateService();
		dal  = service.createLandDal(new CacheGet(), context);
	}
	/**
	 * 插入基地列表
	 * @param products
	 */
	public void insertLandList(List<Prot10065LandBean> products){
		if(dal == null){
			return;
		}
		dal.insertLandList(products);
	}
	public void deleteAllProduct() {
		if(dal == null){
			return;
		}
		dal.deleteAllProduct();
	}
	
	public List<Map<String, String>> findLand(){
		if(dal == null){
			return null;
		}
		return dal.findLand();
	}
}
